%
% anyremote configuration file for Totem management (Server-mode for Command Fusion iViewer )
% prerequisites: Iviewer client installed on Ipod touch/Iphone 2.x and Iviewer free winamp GUI
% and amixer/pactl utility
%

% STATUS unknown
% XTEST no
% SOUND mixer
% ENV no

GuiAppName=Totem
GuiAppBinary=totem
GuiAppRun=echo 'A=`ps -ef|grep totem|grep -v totem-plugin-viewer|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$A" == "x" ]; then echo NOK; else echo OK; fi'|bash -f -s
GuiAppIcon=totem.png
GuiAppType=Application
GuiAppProtocols=iViewer
GuiAppDesc=Totem is the official movie player of the GNOME desktop environment based on xine-lib or GStreamer.

[Protocol]=iViewer

%a1 = volume
%a2 = needs a constent update to. its the seek bar

%s1 = artist
%s2 = track
%s5 = current playback in min:sec
%s6 = song length min:sec.

% play
d1(1)=Exec(totem --play-pause;totem --fullscreen);

% stop
d30(1)=Exec(totem --pause);

% pause
d31(1)=Exec(totem --pause);

% next
d5(1)=Exec(totem --next);\
	Macro(TITLE);

% prev
d6(1)=Exec(totem --previous);\
	Macro(TITLE);

% toggle repeat
d12(1)=Exec(echo "Toggle repeat: Oops")

% toggle shuffle
d9(1)=Exec(echo "Toggle shuffle: Oops")

% volume contol
a1($$)=\
	Make(var,default_mixer_value,by_value,$(Index));\
	Macro(DEFAULT_VOLUME_SET);\
	Macro(VOLUME);

% seek >> and <<
a2($$)=\
	Make(var,seek_command,echo 'if [ $(Index) \> 32750 ]; then echo "--seek-fwd"; else echo "--seek-bwd"; fi'|bash -f -s);\
	Exec(totem $(seek_command));\
	Macro(PLAYBACK);

% Feedback
PLAYBACK=\
	Send(string,s5=);ExecAndSend(string,echo "00:00");Send(bytes,3);\
	Make(var,playback_persent,by_value,0);\
	Send(string,a2=$(playback_persent));Send(bytes,3);

% get volume: 0 - 65535
VOLUME=\
	Macro(DEFAULT_VOLUME_GET);\
	Send(string,a1=$(default_mixer_value));Send(bytes,3);

% Artist name
ARTIST=ExecAndSend(string,echo "");

% Track
TRACK=ExecAndSend(string,echo "");

% Song length mm:ss
SONG_LEN=ExecAndSend(string,echo "00:00");

%
% The following is a common part. In general, it should not be changed.
%

TITLE=\
	Send(string,s1=);Macro(ARTIST);Send(bytes,3);\
	Send(string,s2=);Macro(TRACK);Send(bytes,3);\
	Send(string,s6=);Macro(SONG_LEN);Send(bytes,3);

d5(0)=Macro(TITLE);
d6(0)=Macro(TITLE);

% Init
i(1)=Macro(TITLE);

% Password p(PASSWORD)"
p($$)=Send(string,p=ok);Send(bytes,3);

% Heartbeat
DISC=Macro(STOP_TIMERS);Make(disconnect);

h(0)=Timer(DISC,reset);

% no needs to send "h=1\03" replay directly because this will be done 
% automatically - that controlled by $(IViewer) variable
% If $(IViewer) variable is not set it needs to use the following command:
% h(0)=Send(bytes,104,61,49,3);Timer(DISC,reset);

STOP_TIMERS=\
	Timer(PLAYBACK,cancel);\
	Timer(VOLUME,cancel);\
	Timer(TITLE,cancel);
	
% Event timers

(Init)=\
	Include($(CfgDir)/Utils/aliases-iviewer.cfg);\
	Macro(SETUP_DEFAULT_MIXER);\
	Make(var,IViewer,by_value,true);

(Connect)=\
	Exec(echo 'P=`ps -ef|grep totem|grep -v totem-plugin-viewer|grep -v grep|grep -v anyremote|grep -v edit`; if [ "x$P" == "x" ]; then totem& fi' |bash -f -s);\
	Timer(DISC,10,1);\
	Timer(PLAYBACK,3,0);\
	Timer(VOLUME,10,0);\
	Timer(TITLE,5,0);

(Disconnect)=Macro(STOP_TIMERS);

[End]
